Bug 17200 - Badly formatted "hold for" patron name on catalog detail page
Summary: Badly formatted "hold for" patron name on catalog detail page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 16871
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-25 18:05 UTC by Owen Leonard
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17200 - Badly formatted "hold for" patron name on catalog detail page (1.73 KB, patch)
2016-08-25 18:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17200 - Badly formatted "hold for" patron name on catalog detail page (1.74 KB, patch)
2016-08-26 10:38 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 17200 - Badly formatted "hold for" patron name on catalog detail page (1.82 KB, patch)
2016-08-26 13:35 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-08-25 18:05:28 UTC
First name and surname are run together under the "status" column on the bibliographic detail page if an item is on hold for a patron:

" Hold for: JohnSmith (1234567) "
Comment 1 Owen Leonard 2016-08-25 18:16:26 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2016-08-26 10:38:38 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-08-26 13:35:26 UTC
Created attachment 54928 [details] [review]
Bug 17200 - Badly formatted "hold for" patron name on catalog detail page

This patch adds a space between first name and surname on the
bibliographic detail page when there is "hold for" information in the
status column of the holdings table.

To test, apply the patch locate a title in the staff client catalog
which has one or more confirmed holds on it. Verify that the patron's
name in the "status" column of the holdings table looks correct, with a
space between first and last name.

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2016-08-26 13:35:45 UTC
Introduced by bug 16871.
Comment 5 Kyle M Hall 2016-09-02 15:19:43 UTC
Pushed to master for 16.11, thanks Owen!
Comment 6 Frédéric Demians 2016-09-08 19:42:17 UTC
Pushed in 16.05. Will be in 16.05.04.
Comment 7 Julian Maurice 2016-09-16 06:53:10 UTC
Pushed to 3.22.x, will be in 3.22.11